import React from "react";
import { View, Text, TextInput, Button } from "react-native";
import { style } from "../util/style";
import { createPost, NewPost } from "../util/api";

export function NewPostContainer(): JSX.Element {
  const [currentInput, setCurrentInput] = React.useState<string>("");
  const [currentInputError, setCurrentInputError] = React.useState<string>("");

  return (
    <View style={style.newPostContainer}>
      <TextInput
        style={style.newPostInput}
        placeholder="New Post"
        onChangeText={(text) => {
          setCurrentInput(text);
          setCurrentInputError("");
        }}
        value={currentInput}
      />
      <Button
        title="Post"
        onPress={() => {
          if (currentInput.length > 0) {
            const p: NewPost = {
                content: currentInput,
                token: "token"
            }
            createPost(p);
            setCurrentInput("");
          } else {
            setCurrentInputError("Post must not be empty!");
          }
        }}
      />
      <Text style={style.errorText}>{currentInputError}</Text>
    </View>
  );
}
